Package list libslf4j-java / 5c8c13f
Add slf4j-api-MANIFEST.patch and remove requirement on org.slf4j.impl which triggers runtime errors in Netbeans. Markus Koschany 5 years ago
2 changed file(s) with 18 addition(s) and 0 deletion(s). Raw diff Collapse all Expand all
0 slf4j-api-MANIFEST.patch
0 From: Markus Koschany <apo@debian.org>
1 Date: Wed, 24 Feb 2016 19:11:21 +0100
2 Subject: slf4j-api MANIFEST
3
4 ---
5 slf4j-api/src/main/resources/META-INF/MANIFEST.MF | 1 -
6 1 file changed, 1 deletion(-)
7
8 diff --git a/slf4j-api/src/main/resources/META-INF/MANIFEST.MF b/slf4j-api/src/main/resources/META-INF/MANIFEST.MF
9 index 96ba98c..1e97c02 100644
10 --- a/slf4j-api/src/main/resources/META-INF/MANIFEST.MF
11 +++ b/slf4j-api/src/main/resources/META-INF/MANIFEST.MF
12 @@ -5,4 +5,3 @@ Bundle-Name: slf4j-api
13 Bundle-Vendor: SLF4J.ORG
14 Bundle-RequiredExecutionEnvironment: J2SE-1.5
15 Export-Package: org.slf4j;version=${parsedVersion.osgiVersion}, org.slf4j.spi;version=${parsedVersion.osgiVersion}, org.slf4j.helpers;version=${parsedVersion.osgiVersion}
16 -Import-Package: org.slf4j.impl;version=${slf4j.api.minimum.compatible.version}